aboutsummaryrefslogtreecommitdiff
path: root/init.d/sysfs.in
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2017-03-07 17:40:18 -0600
committerWilliam Hubbs <w.d.hubbs@gmail.com>2017-03-07 17:49:42 -0600
commit6a79aef0159d7035778fd852b26ecfac903cd029 (patch)
tree8cab731e5e2d3ca6530fb1bdc6ef9cccc64403b3 /init.d/sysfs.in
parent4a269674b765e5267f024fa55c8644480a7304ea (diff)
init.d/sysfs: Do not load efivarfs module
My understanding is that the kernel can autoload this module. If it doesn't, the module should be built in or loaded from an initramfs. This fixes https://github.com/openrc/openrc/pulls/112.
Diffstat (limited to 'init.d/sysfs.in')
-rw-r--r--init.d/sysfs.in17
1 files changed, 5 insertions, 12 deletions
diff --git a/init.d/sysfs.in b/init.d/sysfs.in
index 6d6ec62c..ff0c4e7d 100644
--- a/init.d/sysfs.in
+++ b/init.d/sysfs.in
@@ -15,7 +15,7 @@ sysfs_opts=nodev,noexec,nosuid
depend()
{
- want modules
+ use modules
keyword -docker -lxc -prefix -systemd-nspawn -vserver
}
@@ -102,19 +102,12 @@ mount_misc()
# The presence of /sys/firmware/efi indicates that the system was
# booted in efi mode.
if [ -d /sys/firmware/efi ]; then
- if [ ! -d /sys/firmware/efi/efivars ] &&
- modprobe -q efivarfs; then
- ewarn "The efivarfs module needs to be configured in " \
- "@SYSCONFDIR@/conf.d/modules or built in"
- fi
if [ -d /sys/firmware/efi/efivars ] &&
! mountinfo -q /sys/firmware/efi/efivars; then
- if grep -qs efivarfs /proc/filesystems; then
- ebegin "Mounting efivarfs filesystem"
- mount -n -t efivarfs -o ${sysfs_opts} \
- efivarfs /sys/firmware/efi/efivars
- eend $?
- fi
+ ebegin "Mounting efivarfs filesystem"
+ mount -n -t efivarfs -o ${sysfs_opts} \
+ efivarfs /sys/firmware/efi/efivars
+ eend $?
fi
fi
}